proc ScanFileLines {file_name regular_expression}  {
    set fd  [open $file_name r]
    set data  [read $fd]
    close $fd

    foreach line [split $data \n]  {
        if [regexp -- $regular_expression $line match]  {
            puts $line
        }
    }
}

set file_name  [lindex $argv 0]
set regular_expression  [lindex $argv 1]

ScanFileLines $file_name $regular_expression
